zenilib: sh::SearchSymbol Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
sh::SearchSymbol Class Reference

`#include <SearchSymbol.h>`

Inherits TIntermTraverser.

## Public Member Functions

| SearchSymbol (const TString &symbol)
bool | foundMatch () const
void | traverse (TIntermNode *node)
void | visitSymbol (TIntermSymbol *symbolNode)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitAggregate (Visit visit, TIntermAggregate *)
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual bool | visitBranch (Visit visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitLoop (Visit visit, TIntermLoop *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Protected Attributes

bool | match
const TString & | mSymbol
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft

## Detailed Description

Definition at line 17 of file SearchSymbol.h.

## Constructor & Destructor Documentation

sh::SearchSymbol::SearchSymbol | ( | const TString & | symbol | ) |

Definition at line 16 of file SearchSymbol.cpp.

References match.

## Member Function Documentation

bool sh::SearchSymbol::foundMatch | ( |  | ) | const

Definition at line 34 of file SearchSymbol.cpp.

References match.

void sh::SearchSymbol::traverse | ( | TIntermNode * | node | ) |

Definition at line 21 of file SearchSymbol.cpp.

References TIntermNode::traverse().

void sh::SearchSymbol::visitSymbol | ( | TIntermSymbol * | symbolNode | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 26 of file SearchSymbol.cpp.

References TIntermSymbol::getSymbol(), match, and mSymbol.

## Member Data Documentation

bool sh::SearchSymbol::match

protected

Definition at line 29 of file SearchSymbol.h.

Referenced by foundMatch(), SearchSymbol(), and visitSymbol().

const TString& sh::SearchSymbol::mSymbol

protected

Definition at line 28 of file SearchSymbol.h.

Referenced by visitSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/SearchSymbol.h
- zenilib/jni/external/angle/src/compiler/SearchSymbol.cpp